* Encoding: windows-1252.
CD 'D:\zLehre\00_B\03_cap'.

FILE HANDLE savdata /NAME = 'data_cap_gini.sav'.

******************************************************************************************************************************************************.
NEW FILE.
DATASET CLOSE ALL.
GET FILE = savdata.
DATASET CLOSE ALL.

******************************************************************************************************************************************************.
** 1) daten aggregieren.
******************************************************************************************************************************************************.
AGGREGATE
  /OUTFILE='aggr.sav'
  /BREAK=zg_default_wkt
  /N_default=SUM(zg_default)
  /N_BREAK=N.

******************************************************************************************************************************************************.
** 2) hilfsvariablen fuer diagramm erzeugen.
******************************************************************************************************************************************************.
NEW FILE.
DATASET CLOSE ALL.
GET FILE = 'aggr.sav'.
DATASET CLOSE ALL.
SORT CASES BY  zg_default_wkt (D).
CREATE  /N_default_kum=CSUM(N_default )/N_BREAK_kum=CSUM(N_BREAK ).
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES OVERWRITE = YES
  /BREAK=
  /N_default_kum_max=MAX(N_default_kum) 
  /N_BREAK_kum_max=MAX(N_BREAK_kum).
WEIGHT BY  N_BREAK.
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES OVERWRITE = YES
  /BREAK=
  /N_default_mean=MEAN( N_default) .
WEIGHT OFF.
COMPUTE x = N_BREAK_kum / N_BREAK_kum_max.
COMPUTE y =  x .
COMPUTE y1 = N_default_kum / N_default_kum_max.
COMPUTE y2 = N_BREAK_kum / N_default_kum_max.
RECODE y2 (1 THRU HI = 1).
EXECUTE.

******************************************************************************************************************************************************.
** 3) flaechen berechnen.
******************************************************************************************************************************************************.
CREATE
  /x_1=LEAD(x 1)
  /y_1=LEAD(y 1)
  /y1_1=LEAD(y1 1)
  /y2_1=LEAD(y2 1).
COMPUTE fy = (x_1 - x)* (y + (y_1 - y)/2).
COMPUTE fy1 = (x_1 - x)* (y1 + (y1_1 - y1)/2).
COMPUTE fy2 = (x_1 - x)* (y2 + (y2_1 - y2)/2).
COMPUTE ar = fy1 - fy.
COMPUTE ap = fy2 - fy1.
EXECUTE.

******************************************************************************************************************************************************.
** 4) gini berechnen.
******************************************************************************************************************************************************.
AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES OVERWRITE = YES
  /BREAK=
  /ar_sum=SUM( ar) 
  /ap_sum=SUM( ap) .
COMPUTE gini = ar_sum / (ar_sum + ap_sum).
EXECUTE.

FORMATS
 x y y1 y2 x_1 y_1 y1_1 y2_1 fy fy1 fy2 ar ap ar_sum ap_sum gini
(F8.4).

VARIABLE LABELS
ar_sum 'AR'
ap_sum 'AP'
gini 'GINI'.

******************************************************************************************************************************************************.
** 5) ausgabe grafik und gini.
******************************************************************************************************************************************************.

OUTPUT CLOSE ALL.
MEANS ar_sum ap_sum gini /CELLS MEAN.
GRAPH
  /SCATTERPLOT(OVERLAY)=
x x x
WITH 
y y1 y2 
(PAIR)
  /MISSING=LISTWISE
  /TEMPLATE='vorlage_cap_kurve.sgt'
.
******************************************************************************************************************************************************.


